
Foreman - Bug #14980

Unused_ip AJAX request fails: undefined method `from' for #<IPAM::Dhcp..>

05/10/2016 06:45 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: DHCP   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3511

  

Description

It always returns 404, no exception reported. Regression.

Related issues:

Related to Foreman - Bug #13772: The orchestration code uses SQL logger Closed 02/17/2016

Related to Foreman - Feature #14661: Support IPv6 Subnets Closed 04/15/2016

Associated revisions

Revision 6d3f957b - 05/10/2016 01:12 PM - Lukas Zapletal

Fixes #14980 - fixed unused_ip API subnet param

History

#1 - 05/10/2016 06:46 AM - Lukas Zapletal

- Related to Feature #2315: IPv6 Support added

#2 - 05/10/2016 07:03 AM - Lukas Zapletal

Well hidden, the cause error is logged through sql (orchestration) logger which I turn off usually.

#3 - 05/10/2016 07:04 AM - Lukas Zapletal

The error was:

2016-05-10T13:02:11 [sql] [W] Failed to fetch a free IP from our proxy: ERF12-8202 [ProxyAPI::ProxyException]:

 Unable to retrieve unused IP ([NoMethodError]: undefined method `from' for #<IPAM::Dhcp:0x00564a3b54f4a8>) fo

r proxy https://lzapx.brq.redhat.com:8443/dhcp

#4 - 05/10/2016 07:04 AM - Lukas Zapletal

- Related to Bug #13772: The orchestration code uses SQL logger added

#5 - 05/10/2016 07:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3511 added

#6 - 05/10/2016 07:07 AM - Dominic Cleal

- Related to deleted (Feature #2315: IPv6 Support)

#7 - 05/10/2016 07:07 AM - Dominic Cleal

- Related to Feature #14661: Support IPv6 Subnets added

#8 - 05/10/2016 07:08 AM - Dominic Cleal
- Subject changed from Unused_ip API is broken to Unused_ip AJAX request fails: undefined method `from' for #<IPAM::Dhcp..>

- Category set to DHCP

- translation missing: en.field_release set to 136

#9 - 05/10/2016 02:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6d3f957bfef99042550eea857b19911b2f2e36c8.
